/*
 * int_test.cpp
 *
 *  Created on: Feb 15, 2024
 *      Author: yasmine
 */

#include "int_test.h"
#include "DM_GeneralWrapper.h"
#include "dpc_dm/executable.h"


void setup_test()
{
	// Logger for wrapper
	// ara headers must be added
	ara::log::InitLogging("DPC", "EM_TEST", ara::log::LogLevel::kVerbose, (ara::log::LogMode::kConsole | ara::log::LogMode::kRemote));

	ara::log::Logger &mainLog { ara::log::CreateLogger("main", "em sample context", ara::log::LogLevel::kVerbose) };

	mainLog.LogInfo() << "Let's produce some decision data...";

	GeneralWrapper gw(mainLog);

	//uint8_t counter = 0;

	while(1)
	{
		//counter++;
		//gw._DM2TRPCLong_Provide.s.SetData(counter);
		//gw._DM2TRPCLong_Provide.Publish();
		gw._DM2SMObjectTrim_Provide.Publish();
		gw._DM2TRPCLong_Provide.Publish();
    	gw._DM2TRPCLat_Provide.Publish();
     	gw._DM2SM_Provide.Publish();
     	//gw._DM2SMObjectTrim_Provide.Publish();
		std::this_thread::sleep_for(std::chrono::milliseconds(300));
	}
}



